@echo off
echo building TI89 and TI92p/V200 version ...
tigcc -DUSE_TI89 -Os -W -Wall -fomit-frame-pointer -mno-bss -mregparm=5 --optimize-code --cut-ranges --reorder-sections -ffunction-sections -fdata-sections -pack puzzdata -o puzzlize puzzmain.c
copy puzzlize.89z ..\bin89
copy puzzlize-titanium.89z ..\bin89
copy puzzlize.89y ..\bin89\puzzdata.89y
del puzzlize.89z
del puzzlize-titanium.89z
del puzzlize.89y
tigcc -DUSE_TI92P -DUSE_V200 -Os -W -Wall -fomit-frame-pointer -mno-bss -mregparm=5 --optimize-code --cut-ranges --reorder-sections -ffunction-sections -fdata-sections -pack puzzdata -o puzzlize puzzmain.c
copy puzzlize.9xz ..\bin92p
copy puzzlize.v2z ..\bin92p
copy puzzlize.9xy ..\bin92p\puzzdata.9xy
copy puzzlize.v2y ..\bin92p\puzzdata.v2y
del puzzlize.9xz
del puzzlize.v2z
del puzzlize.9xy
del puzzlize.v2y
@echo on
